import React from 'react';

const SvgObject = (props) => {
  return (
    <object
      type="image/svg+xml"
      data={prop.src}
      width={props.width}
      height={props.height}
      role="img"
      aria-label={props.alt}
    >
      <object
        type="image/png"
        data={prop.srcFallback}
        width={props.width}
        height={props.height}
        role="img"
        aria-label={props.alt}
      />
    </object>
  );
};

export default SvgObject;
