const ExtractTextPlugin = require('extract-text-webpack-plugin');

module.exports = {
  // ...
  module: {
    rules: [
      // ...
      {
        test: /\.css$/,
        use: ExtractTextPlugin.extract({
          use: 'css-loader?module',
          fallback: 'style-loader'
        })
      }
    ]
  },
  plugins: [
    // ...
    new ExtractTextPlugin('bundle.css')
  ]
}
