function showNotification(id, text) {
  return {
    type: 'SHOW_NOTIFICATION',
    id,
    text
  }
}
function hideNotification(id) {
  return {
    type: 'HIDE_NOTIFICATION',
    id
  }
}

let nextNotificationId = 0;
export function showNotificationWithTimeout(dispatch, text) {
  const id = nextNotificationId++;
  dispatch(showNotification(id, text));

  setTimeout(() => {
    dispatch(hideNotification(id));
  }, 5000)
}
