import React, { Component } from 'react';
import { connect } from 'react-redux';
import { showNotificationWithTimeout } from './actions';

class ShowNotificationButton extends Component {
  render() {
    return (
      <button
        onClick={this.props.onShowNotification}
      >Show Notification</button>
    )
  }
}

const mapStateToProps = state => {
  return { state }
};

const mapDispatchToProps = dispatch => {
  return {
    onShowNotification: () => dispatch(showNotificationWithTimeout('foo'))
  }
};

export default connect(mapStateToProps, mapDispatchToProps)(ShowNotificationButton);
