import { REQUEST_FETCH, RECEIVE_FETCH } from './actions';

const initialState = {
  isFetching: false,
  data: {}
};

function request(state = initialState, action) {
  switch (action.type) {

    case REQUEST_FETCH:
      return Object.assign({}, state, {
        ...state,
        isFetching: true
      })

    case RECEIVE_FETCH:
      return Object.assign({}, state, {
        ...state,
        isFetching: false,
        data: action.payload
      })

    default:
      return state
  }
}

export default request;
