import React, { Component } from 'react';
import MainTitle from './mainTitle';
import ItemList from './itemList';

class ItemContainer extends Component {
  constructor() {
    super();
    this.getItems = this.getItems.bind(this);
    this.state = {
      items: []
    };
  }

  componentDidMount() {
    this.getItems();
  }

  getItems() {
    fetch('*************')
      .then(items => {
        this.setState({ items });
      });
  }

  render() {
    return (
      <div>
        <MainTitle text="My Items Page" url="https://www.example.com/" />
        <ItemList items={this.state.items} />
      </div>
    );
  }
}

export default ItemContainer;
