const getPrefix = require('./getPrefix');
const prefix = getPrefix();

module.exports = {
  // ...
  module: {
    rules: [
      // ...
      {
        test: /\.css$/,
        use: ExtractTextPlugin.extract({
          use: ['css-loader', {
          loader: 'postcss-loader',
            options: {
              plugins: () => [
                require('postcss-import'),
                require('postcss-class-prefix')(prefix)
              ]
            }
          }]
        })
      }
    ]
  }
};
