const initialState = {
  list: []
};

export const ADD_TODO = 'ADD_TODO';
export const TOGGLE_TODO = 'TOGGLE_TODO';

export function addTodo(text) {
  return {
    type: ADD_TODO,
    text
  }
}

export function toggleTodo(index) {
  return {
    type: TOGGLE_TODO,
    index
  }
}

export default function todos(state = initialState, action) {
  switch (action.type) {
    case ADD_TODO:
      // ...
    case TOGGLE_TODO:
      // ...
    default:
      return state
  }
}
