import React, { Component } from 'react';
import { connect } from 'react-redux';
import { changeCurrentUser } from './actions';

class Navigation extends Component {
  render() {
    const { onChangeCurrentUser } = this.props;
    return (
      <div>
        <button
          onClick={onChangeCurrentUser}
        >Change User</button>
      </div>
    )
  }
}
const mapDispatchToProps = dispatch => {
  return {
    onChangeCurrentUser: () => dispatch(changeCurrentUser())
  }
};

export default connect(null, mapDispatchToProps)(Navigation);
