import fetch from 'isomorphic-fetch';

export const REQUEST_FETCH = 'REQUEST_FETCH';
export const RECEIVE_FETCH = 'RECEIVE_FETCH';

function requestFetch() {
  return {
    type: REQUEST_FETCH
  }
}

function receiveFetch(payload) {
  return {
    type: RECEIVE_FETCH,
    payload
  }
}

export function fetchContents() {
  return function (dispatch) {
    dispatch(requestFetch());

    return fetch('https://example.com/endpoint')
      .then(response => response.json())
      .then(json =>
        dispatch(receivePosts(json))
      )
  }
}
