test('If label characters less than 10, classname is small', () => {
  const props = {
    label: 'foo'
  };
  const wrapper = shallow(<DefaultButton {...props}/>);

  expect(wrapper.props().className).toBe('small');
});

test('If label characters is 10, classname is small', () => {
  const props = {
    label: 'foobarbaz!'
  };
  const wrapper = shallow(<DefaultButton {...props}/>);

  expect(wrapper.props().className).toBe('small');
});

test('If label characters over 10, classname is long', () => {
  const props = {
    label: 'foobarbazfoobarbaz'
  };
  const wrapper = shallow(<DefaultButton {...props}/>);

  expect(wrapper.props().className).toBe('long');
});
